PHP Manual
Prev |  | Next

# XMLWriter::writePI

(no version information, might be only in CVS)

XMLWriter::writePI -- Writes a PI

## Description

Object oriented style:

class XMLWriter {
bool writePI ( string target, string content )
}

Procedural style:

bool xmlwriter_write_pi ( resource xmlwriter, string target, string content )

Writes a processing instruction.

## Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`target`

  The target of the processing instruction.

`content`

  The content of the processing instruction.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

XMLWriter::startPI
XMLWriter::endPI

Prev | Home | Next
XMLWriter::writeElement | Up | XMLWriter::writeRaw